@import "partials/dependencies";

.contact{
    background:$page-header-background-color;
    .timeline{
        padding-top:20px;
    }
}

.contact .contact-header{
    padding: 15px 0 17px 25px;
    position: relative;
}

.contact-naam{
    display: none;
}

.contact-acties{
    right: 15px;
    top: 15px;
    position: absolute;
    height: 38px;
    z-index: 1;
}

.contact-gegevens-overzicht{
    font-size: 1rem;
    font-weight: normal;
    padding:8px 0 0;
}

.contact-dashboard{
    position: absolute;
    padding: 0;
    left: 0px;
    top: 160px;
    right: 0px;
    bottom: 0px;
    background:#fff !important;
    .splitter-dashboard {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0px;
    }
    .blockcontent-left{
        width: 35%;
    }
    .blockcontent-right{
        width: 65%;
    }
    .ui-layout-pane{
        padding: 0;
    }
}

.contact-dashboard-header{
    overflow: hidden;
    position: relative;
    z-index: 5;
    padding:5px 0 10px;
    .filter-veld{
        position: absolute;
        right: 0;
        top: 0;
        .zaken_filter_form, .search_wrap{
            margin:0;
        }
        input{
            background-color: #fff;
        }
    }
}

.contact-dashboard-content{
    padding: 20px;
}

.contact-dashboard-timeline{
    .filter-veld input{
        width: 90px;
    }
    .timeline-title{
        display: none;
    }
    .contact-dashboard-content{
        padding-bottom:0;
    }
}

.contact-informatie {
    ul {
        margin-left: 15px;
    }
    h2 {
        margin-top: 20px;
    }
}

.contact-zaken{
    &.ui-tabs-panel{padding:.5em 1.5em;}
    .header-filter{
        margin-top: -71px;
        margin-bottom: 44px;
        position: relative;
    }
}

#tab-wgt-communication,
#tab-wgt-timeline {
    padding: 0;
}

#tab-wgt-relation,
#tab-wgt-contact,
#tab-wgt-communication {
    line-height: 0;
}

#tab-wgt-relation,
#tab-wgt-contact,
#tab-wgt-communication {
    iframe {
        border: 0;
        width: 100%;
        height: calc(100vh - 164px);
    }
}

.contact-dashboard{
    .timeline{
        padding: 0;
    }
    .timeline-title{
        padding:.83em 0;
    }
    .timeline-inner{
        padding-left:0;
        padding-top:0;
        &:before,
        &:after{
            left:14px;
        }
    }
    .timeline-item,
    .timeline-title-wrap,
    .timeline-loader{
        width:100%;
        max-width:600px;
    }
    .timeline-filter{
        display: none;
    }
    .timeline-form-contactmoment-actions{
        flex-direction: column;
        align-items: flex-start;
        .spot-enlighter-wrapper,
        .timeline-form-contactmoment-contactchannel{
            width: 100%;
            margin: 0 0 8px;
        }
        .btn{
            margin-left:auto;
        }
    }
}

.contact-wachtwoord-wijzigen{
    input{
        width:50%;
    }
    table{
        margin-bottom:15px;
    }
}

.contact-settings-block{
    margin-bottom:10px;
    h3{
        border-bottom:2px solid #ddd;
        margin:0;
        padding:15px 0;
    }
    .contact-settings-block-content{
        padding:15px 0;
    }
}

.contact-signature-current{
    padding:10px 0;
    img{
        display: block;
        margin-bottom:10px;
    }
}

.contact-signature-upload-help{
    padding:10px 0;
}

.contact-signature-wijzigen-empty .contact-signature-upload-help{
    display: block;
}

.contact-signature-upload-button, .contact-signature-upload-remove{
    display: inline;
}

.ui-tabs .ui-tabs-panel.contact-instances{
    padding:1.5em 1.5em 1.5em 2.5em;
}

[data-zs-modal-title] .modal-body{
    width:900px;
    input[type=text],textarea{
        width:100%;
    }
}

.contact-zoeken .col{
    margin-right:10px;
}

.sensitive-data {
    .sensitive-item {
        display: inline-block;
        margin-right: 5px;
    }
}

@import "partials/control-panel";
